    Allow model parameters to be varied during a fit.

thaw(*args)
args - sequence of str or Parameter or Model

The arguments can be parameters or models, in which case all parameters of the model are thawed. If no arguments are given then nothing is changed.

Ensure that the FWHM parameter of the line model (in this case a

`gauss1d` model) will be varied in any fit.

>>> set_source(const1d.bgnd + gauss1d.line) >>> thaw(line.fwhm) >>> fit()

Thaw all parameters of the line model and then re-fit:

>>> thaw(line) >>> fit()

Thaw the nh parameter of the gal model and the abund parameter of the src model:

>>> thaw(gal.nh, src.abund)

PARAMETERS

The parameter for this function is:

Parameter
Definition
args
The parameters or models to thaw.

Notes

The `freeze` function can be used to reverse this setting, so that parameters are "frozen" and so remain constant during a fit.

Certain parameters may be marked as "always frozen", in which case using the parameter in a call to `thaw` will raise an error. If the model is sent to `thaw` then the "always frozen" parameter will be skipped.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023